REM **************************************************************
REM * Donkey instalation script
REM * ------------------------------------------------------------
REM * This script will create the Donkey objects in its own Donkey
REM * schema. Run this script as a user with DBA access.
REM *
REM * The plan table is Copyright (c) 1988, 2011, Oracle and/or its affiliates.
REM * All rights reserved.
REM * Original file: UTLXPLAN.SQL
REM *
REM * Donkey is copyright(c) by COAS software systems B.V.
REM * See https://donkey.coas.com for more information
REM **************************************************************
REM
REM
CREATE USER DONKEY IDENTIFIED BY DONKEY;
REM
ALTER USER DONKEY QUOTA 10M ON USERS;
REM
REM
REM
DROP TABLE DONKEY.DONKEY_PLAN_TABLE;
REM
CREATE TABLE DONKEY.DONKEY_PLAN_TABLE (
  STATEMENT_ID       VARCHAR2(30)
 ,PLAN_ID            NUMBER
 ,TIMESTAMP          DATE
 ,REMARKS            VARCHAR2(4000)
 ,OPERATION          VARCHAR2(30)
 ,OPTIONS            VARCHAR2(255)
 ,OBJECT_NODE        VARCHAR2(128)
 ,OBJECT_OWNER       VARCHAR2(128)
 ,OBJECT_NAME        VARCHAR2(128)
 ,OBJECT_ALIAS       VARCHAR2(261)
 ,OBJECT_INSTANCE    NUMERIC
 ,OBJECT_TYPE        VARCHAR2(30)
 ,OPTIMIZER          VARCHAR2(255)
 ,SEARCH_COLUMNS     NUMBER
 ,ID                 NUMERIC
 ,PARENT_ID          NUMERIC
 ,DEPTH              NUMERIC
 ,POSITION           NUMERIC
 ,COST               NUMERIC
 ,CARDINALITY        NUMERIC
 ,BYTES              NUMERIC
 ,OTHER_TAG          VARCHAR2(255)
 ,PARTITION_START    VARCHAR2(255)
 ,PARTITION_STOP     VARCHAR2(255)
 ,PARTITION_ID       NUMERIC
 ,OTHER              LONG
 ,DISTRIBUTION       VARCHAR2(30)
 ,CPU_COST           NUMERIC
 ,IO_COST            NUMERIC
 ,TEMP_SPACE         NUMERIC
 ,ACCESS_PREDICATES  VARCHAR2(4000)
 ,FILTER_PREDICATES  VARCHAR2(4000)
 ,PROJECTION         VARCHAR2(4000)
 ,TIME               NUMERIC
 ,QBLOCK_NAME        VARCHAR2(128)
 ,OTHER_XML          CLOB
) TABLESPACE USERS;
REM
CREATE INDEX DONKEY.I_DONKEY_PLAN_TABLE 
  ON DONKEY.DONKEY_PLAN_TABLE(STATEMENT_ID) TABLESPACE USERS;
REM
REM
REM
DROP PUBLIC SYNONYM DONKEY_PLAN_TABLE;
REM
CREATE PUBLIC SYNONYM DONKEY_PLAN_TABLE FOR DONKEY.DONKEY_PLAN_TABLE;
REM
GRANT SELECT, INSERT, UPDATE, DELETE ON DONKEY.DONKEY_PLAN_TABLE TO PUBLIC;
REM
REM eof install.sql
